ChangeSet 1.1504.2.3, 2003/12/04 15:14:51-08:00, zaitcev@redhat.com

[PATCH] USB: fix comment in usblp

I know Linus is not taking cleanups at this point, but perhaps
you can delete it in your tree. Seems like someone (Oliver?)
fixed all the garbage in old printer.c, so the comment is not
needed anymore.

I reviewed changes, and usblp.c looks correct. I'm doing backport
to 2.4 for Fedora right now.


 drivers/usb/class/usblp.c |    2 --
 1 files changed, 2 deletions(-)


diff -Nru a/drivers/usb/class/usblp.c b/drivers/usb/class/usblp.c
--- a/drivers/usb/class/usblp.c	Mon Dec 29 14:26:53 2003
+++ b/drivers/usb/class/usblp.c	Mon Dec 29 14:26:53 2003
@@ -706,8 +706,6 @@
 			goto done;
 		}
 
-		// FIXME:  only use urb->status inside completion
-		// callbacks; this way is racey...
 		add_wait_queue(&usblp->wait, &wait);
 		while (1==1) {
 			if (signal_pending(current)) {
